C H A P T E R 6

Updates to ILOM 3.0.9 Firmware

This chapter describes the new features and functionality that have been added to the Oracle ILOM 3.0.9 firmware release. Procedures to implement the new functionality are explained. Resolved issues and known issues are also described. In addition, references to the ILOM 3.0 documents in which the new features are described in detail are provided.

Topics in the chapter include:

- New Features for ILOM 3.0.9

- Resolved Issues as of ILOM 3.0.9

- Known Issues as of ILOM 3.0.9

##

New Features for ILOM 3.0.9

The following table identifies new features available in the ILOM 3.0.9 release. References to the appropriate guides in the ILOM 3.0 Documentation Collection that describe the features are also provided.

Topics
Description | Refer To:
--- | ---
New component firmware update capability for modular chassis systems | Oracle Integrated Lights Out Manager (ILOM) CMM Administration Guide for Sun Blade 6000 and Sun Blade 6048 Modular Systems, Firmware Update Procedures
New component firmware management capability for Sun Fire X4800 Systems | Oracle Integrated Lights Out Manager (ILOM) 3.0 CLI Procedures Guide, Updating ILOM Firmware Oracle Integrated Lights Out Manager (ILOM) 3.0 Web Interface Procedures Guide, Updating ILOM Firmware
New international keyboard support for ILOM Remote Console | Oracle Integrated Lights Out Manager (ILOM) 3.0 Concepts Guide, Remote Host Management Options
New system uptime display available in ILOM CLI and web interface | Oracle Integrated Lights Out Manager (ILOM) 3.0 CLI Procedures Guide, CLI Command Reference Oracle Integrated Lights Out Manager (ILOM) 3.0 Web Interface Procedures Guide, Web Interface Overview
Support for Microsoft Windows 7 and Internet Explorer 8 Clients | Oracle Integrated Lights Out Manager (ILOM) 3.0 Web Interface Procedures Guide, Managing Remote Hosts Redirection and Securing the ILOM Remote Console

##

Resolved Issues as of ILOM 3.0.9

This section describes the issues that have been resolved in the ILOM 3.0.9 release. Specific change request (CR) identification number and workaround for the issues are provided, where available.

Topics
Description | Links
--- | ---
Remote Console resolved issue | Unrecoverable ILOM Remote Console Sessions

### Unrecoverable ILOM Remote Console Sessions

CR 6867870

Issue: Prior to ILOM 3.0.6, some users experienced problems when recovering an inactive ILOM Remote Console session to a host and were required, as a workaround, to reboot the host server SP to recover the session. For further details about this problem and the workaround, see Unrecoverable ILOM Remote Console Sessions in the Known Issues section of Chapter 3.

Update: A fix that no longer requires the rebooting of the SP to recover an inactive Remote Console session is available for all Oracle server systems shipping with (or supporting) one of the following ILOM firmware releases:

- ILOM 3.0.6

- ILOM 3.0.8

- ILOM 3.0.9

If your server has ILOM 3.0.6 or later installed, the ILOM Remote Console could take up to five minutes to release and recover an inactive session. However, if the host server is powered off, the recovery time for the ILOM Remote Console session can take approximately 15 minutes. Note that the recovery time for the ILOM Remote Console session is dependent on the amount of video traffic that is present. The following table provides a guideline for how long the ILOM Remote Console might take to release and recover a session.

Video Screen Traffic | Estimated Recovery Time for Remote Console Session | Console or Host Scenario
--- | --- | ---
Extremely High (>30 KB per second of video traffic between host system and SP) | Approximately 10 seconds | Remote Console has an xterm window running “ls -R /”
High (1 KB per second between host system and SP) | Approximately 3 minutes | Remote Console display is dynamic. For example: blinking mouse cursor
Regular (500 bytes per second between host system and SP) | Approximately 5 minutes | Remote Console display is static. For example, it has no keyboard, mouse activity or any real-time graphical display.
Low (100 bytes per second between host system and SP) | Approximately 11 minutes | Remote Console has a black or blank display.
Very Low (7 bytes per second between host system and SP) | Approximately 15 minutes | Host is powered off.
None (0 bytes between host system and SP) | Approximately 6 minutes | Remote Console session is in suspend mode (inactive tab).

##

Known Issues as of ILOM 3.0.9

This section describes known issues and workarounds as of ILOM 3.0.9. Specific change request (CR) identification numbers and workarounds for these issues are provided, where available.

Topics
Description | Links
--- | ---
ILOM displays null FRU data fields | DIMM FRU Data Fields Are Null After Downgrading or Upgrading SP Firmware Between 3.0.3 and 3.0.9
Usable output appears for invalid Help command syntax | Invalid Help Command (help /SP system_contact=test) Results in Unusable Output
Unable to collect SP data with Snapshot Utility when web browser security setting is enabled | Service Snapshot Utility Unable to Collect SP Data When IE Web Browser Security Option Is Enabled

### DIMM FRU Data Fields Are Null After Downgrading or Upgrading SP Firmware Between 3.0.3 and 3.0.9

CR 6913593, 6850456, and 6916007

Issue: On some platform servers, ILOM displays null DIMM FRU data fields after upgrading or downgrading the ILOM SP firmware (between 3.0.3 and 3.0.9) with the `Delay` `BIOS` `Update` option enabled.

Workaround: Perform the following steps:

1. Power off the host before downgrading or upgrading the firmware between ILOM 3.0.3 and 3.0.9.

2. Do not enable the firmware option to `Delay` `BIOS` `Update` when downgrading or updating the ILOM firmware.

### Invalid Help Command (`help` `/SP system_contact=test`) Results in Unusable Output

CR 6884556 and 6923383

Issue: Using an invalid `help` command such as `help` `/SP` `system_contact=test` results in unusable output displayed.

Workaround: Use the correct syntax for `help /SP system_contact`.

### Service Snapshot Utility Unable to Collect SP Data When IE Web Browser Security Option Is Enabled

CR 6877868

Issue: If the Internet Explorer (IE) web browser `Security` option for `Save` `Encrypted` `Pages` `To` `Disk` is enabled, the following error message appears when attempting to collect SP data using the Service Snapshot Utility:

`Internet Explorer cannot download mdccvm02i - spanshot.cgi?dataset=ioh. Internet Explorer was not able to open this Internet site. The requested site is either unavailable or cannot be found. Please try again later.`

Workaround: Prior to using the Service Snapshot Utility to collect SP data, disable the Internet Explorer web browser `Security` option for `Save` `Encrypted` `Pages` `To` `Disk` (Tools -->Internet Options-->Advanced tab).

Copyright © 2010, Oracle and/or its affiliates. All rights reserved.